import chromadb

# Create a Chroma Client
# chroma_client = chromadb.PersistentClient(path="/path/to/save/to")
chroma_client = chromadb.PersistentClient(path="./db")

# chroma_client.heartbeat() # returns a nanosecond heartbeat. Useful for making sure the client remains connected.
# chroma_client.reset() # Empties and completely resets the database. ⚠️ This is destructive and not reversible.

from chromadb.utils.embedding_functions.onnx_mini_lm_l6_v2 import ONNXMiniLM_L6_V2
ef = ONNXMiniLM_L6_V2(preferred_providers=["CPUExecutionProvider"])

# Create a collection
collection = chroma_client.create_collection(name="my_collection", embedding_function=ef)

# Add some text documents to the collection
# switch `add` to `upsert` to avoid adding the same documents every time
# collection.upsert(
collection.add(
    documents=[
        "This is a document about pineapple",
        "This is a document about oranges"
    ],
    ids=["id1", "id2"]
)

# Query the collection
results = collection.query(
    query_texts=["This is a query document about hawaii"], # Chroma will embed this for you
    n_results=2 # how many results to return
)
print(results)
